#include "clientappbutton.h"

ClientAppButton::ClientAppButton(ClientSettings * settings, QString name, QWidget * parent, QProcess * process) : QPushButton( "", parent )
{
	this->name = name;
	this->settings = settings;
	this->process = process;

	setIcon(QIcon(settings->getAppIcon(name)));

	connect( this, SIGNAL(clicked()), this, SLOT(buttonClicked()));
}

bool ClientAppButton::isInstalled(ClientSettings * settings, QString appName, QString name)
{
	return QFile::exists(settings->getAppExec(appName)) && QFile::exists(settings->getAppIcon(appName)) && settings->isAppEnabled(appName) && ! settings->getExcludedApps(name).contains(appName);
}

void ClientAppButton::buttonClicked()
{
	bool running = false;
	if (process != 0)
	{
		if ( process->state() == QProcess::Running )
		{
			running = true;
		} else {
			delete process;
		}
	}

	if ( ! running )
	{
		process = new QProcess(this);
		QStringList env = QProcess::systemEnvironment();
		env += settings->getAppExecEnv(name);
		process->setEnvironment(env);
		qDebug("Running command: %s %s", settings->getAppExec(name).toUtf8().data(), settings->getAppExecArgs(name).toUtf8().data());
		process->start(settings->getAppExec(name), settings->getAppExecArgs(name).split(" "));
	} else {
		QProcess raise(this);
		QString command = CLIENT_DATA_DIR "/raisewindow.sh";
		QStringList arguments;
		arguments += "-p";
		arguments += QString::number((long long)process->pid());
		raise.start( command, arguments );
		raise.waitForFinished();
		qDebug() << raise.readAll();
	}
}
